game = {}


function game.load()
  -- player init
  game.player_size = imgs["player"]:getWidth()
  game.playerx = (160/2)*scale
  game.playery = (144-12)*scale
 
  -- info init
  game.score = 0
  
end

function game.draw()
 love.graphics.draw(imgs["plainwood"])
                          
  -- Draw player
  love.graphics.draw(imgs["player"],
                       game.playerx,game.playery,
                       0,scale,scale,
                       game.player_size/2,game.player_size/2)
  if debug then 
    love.graphics.circle("line",game.playerx,game.playery,game.player_size/2*scale)
  end
 
  
	-- Draw game info
	love.graphics.setColor(fontcolor.r,fontcolor.g,fontcolor.b)
	love.graphics.printf("Enemy",10,10,love.graphics.getWidth(),"left")
	 -- Draw Player 1 Name
	love.graphics.printf("Player 1",0,720,love.graphics.getWidth(),"right")
	-- Draw dice 
	local Dice = require("lovedice")
	love.graphics.printf("You rolled a " .. Dice.roll(), 0, 350,love.graphics.getWidth(), "center")
	
	
end

-- Distance formula.
function game.dist(x1,y1,x2,y2)
  return math.sqrt( (x1 - x2)^2 + (y1 - y2)^2 )
end

function game.update(dt)
  -- Update player movement
  if love.keyboard.isDown("right") then
    game.playerx = game.playerx + 100*dt*scale
  end
  if love.keyboard.isDown("left") then
    game.playerx = game.playerx - 100*dt*scale
  end
  -- Keep the player on the map
  if game.playerx > 160*scale then
    game.playerx = 160*scale
  end
  if game.playerx < 0 then
    game.playerx = 0
  end
  
end

function game.keypressed(key)
	
end
